---
layout: docs
page_title: Configuration
sidebar_title: Action
description: |-
  The annatomy of a Boundary action
---

# Action

An action is a defined capability within the Boundary system. Each Resource Type defines its own set of Actions. Currently, the union of actions from all Resource Types is: create, read, update, delete, list, connect. This is not a fixed list and no design or implementation should assume it will ever be a fixed list.

## Attributes

For information on how actions are constructed into grant strings, see the [grants]() section.

## Referenced By

- [Grant]()
- [Resource]()
- [Role]()
